Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
TimeZone Class Referenceabstract

Inherits ObjectImpl.

## Public Member Functions
const LogString | getID () const
virtual log4cxx_status_t | explode (apr_time_exp_t *result, log4cxx_time_t input) const =0
| Expand an APR time into the human readable components for this timezone. More...
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Static Public Member Functions
static const TimeZonePtr & | getDefault ()
static const TimeZonePtr & | getGMT ()
static const TimeZonePtr | getTimeZone (const LogString &ID)
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Protected Member Functions
| TimeZone (const LogString &ID)
virtual | ~TimeZone ()

## Protected Attributes
const LogString | id
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Constructor & Destructor Documentation

TimeZone | ( | const LogString & | ID | ) |
| protected

virtual ~TimeZone | ( |  | ) |
| protected virtual

## Member Function Documentation

virtual log4cxx_status_t explode | ( | apr_time_exp_t * | result,
|  | log4cxx_time_t | input
| ) |  | const
| pure virtual

Expand an APR time into the human readable components for this timezone.

static const TimeZonePtr& getDefault | ( |  | ) |
| static

static const TimeZonePtr& getGMT | ( |  | ) |
| static

const LogString getID | ( |  | ) | const
| inline

static const TimeZonePtr getTimeZone | ( | const LogString & | ID | ) |
| static

## Member Data Documentation

const LogString id
| protected

The documentation for this class was generated from the following file:

- timezone.h